/*  File:  get.h  */

/* External declarations of the Get procedures */

ARBoolean      GetARBoolean(char *, ARBoolean);
int            GetInt(char *, int);
unsigned int   GetUnsignedInt(char *, unsigned int);
long           GetLong(char *, long);
double         GetReal(char *, double);
char          *GetChar(char *, char *);
ARTimestamp    GetARTimestamp(char *, ARTimestamp);
int            GetDate(char *, int);

void GetMallocChar(char *, char *, char **);
void GetAREntryIdList(AREntryIdList *);
void GetARInternalIdList(ARInternalIdList *);
void GetARTimestampList(ARTimestampList *);
void GetARNameList(ARNameList *, char *);
void GetARSchemaTypeList(ARUnsignedIntList *);
void GetARControlStruct(void);
void GetARCoordList(ARCoordList **);
void GetARByteList(ARByteList **);
void GetValue(ARValueStruct *);
void GetARValueStruct(ARValueStruct *);
void GetAREntryListFieldStruct(AREntryListFieldStruct *);
void GetAREntryListFieldList(AREntryListFieldList *);
void GetARFieldValueStruct(ARFieldValueStruct *);
void GetARFieldValueList(ARFieldValueList *);
void GetARFieldValueOrArithStruct(ARFieldValueOrArithStruct *);
void GetARArithOpStruct(ARArithOpStruct *);
void GetARRelOpStruct(ARRelOpStruct *);
void GetARQualifierStruct(ARQualifierStruct *);
void GetARSortStruct(ARSortStruct *);
void GetARSortList(ARSortList *);
void GetARIndexStruct(ARIndexStruct *);
void GetARIndexList(ARIndexList *);
void GetARArchiveInfoStruct(ARArchiveInfoStruct *);
void GetARAuditInfoStruct(ARAuditInfoStruct *);
void GetARCompoundSchema(ARCompoundSchema *);
void GetARFieldMapping(ARFieldMappingStruct *);
void GetARPropList(ARPropList *);
void GetARDisplayInstanceList(ARDisplayInstanceList *);
void GetARAssignFieldStruct(ARAssignFieldStruct *);
void GetARDDEStruct(ARDDEStruct *);
void GetARAutomationStruct(ARAutomationStruct *);
void GetARCOMValueStruct(ARCOMValueStruct *);
void GetARCOMMethodList(ARCOMMethodList *);
void GetARCOMMethodStruct(ARCOMMethodStruct *, unsigned int);
void GetARCOMMethodParmList(ARCOMMethodParmList *);
void GetARCOMMethodParmStruct(ARCOMMethodParmStruct *, unsigned int);
void GetARAssignSQLStruct(ARAssignSQLStruct *);
void GetARAssignStruct(ARAssignStruct *);
void GetARFieldAssignStruct(ARFieldAssignStruct *);
void GetARFieldAssignList(ARFieldAssignList *);
void GetARArithOpAssignStruct(ARArithOpAssignStruct *);
void GetARFunctionAssignStruct(ARFunctionAssignStruct *);
void GetARPushFieldsAssignList(ARPushFieldsList *);
void GetARFilterActionNotify(ARFilterActionNotify *);
void GetARSQLStruct(ARSQLStruct *);
void GetARFilterActionStruct(ARFilterActionStruct *);
void GetARFilterActionList(ARBoolean, ARFilterActionList *);
void GetARActiveLinkMacroStruct(ARActiveLinkMacroStruct *);
void GetARActiveLinkActionStruct(ARActiveLinkActionStruct *);
void GetARActiveLinkActionList(ARBoolean, ARActiveLinkActionList *);
void GetARFieldCharacteristics(ARFieldCharacteristics  *);
void GetARPermissionStruct(ARBoolean, ARPermissionStruct *);
void GetARPermissionList(ARBoolean, ARPermissionList *);
void GetARIntegerLimitsStruct(ARIntegerLimitsStruct *);
void GetARRealLimitsStruct(ARRealLimitsStruct *);
void GetARCharLimitsStruct(ARCharLimitsStruct *);
void GetARDiaryLimitsStruct(ARDiaryLimitsStruct *);
void GetARFieldLimitStruct(int, ARFieldLimitStruct *);
void GetARCharMenuItemStruct(ARCharMenuItemStruct *);
void GetARCharMenuQueryStruct(ARCharMenuQueryStruct *);
void GetARCharMenuSSStruct(ARCharMenuSSStruct *);
void GetARCharMenuStruct(ARCharMenuStruct *);
void GetARCharMenuList(ARCharMenuList *);
void GetARStructItemStruct(ARStructItemStruct *);
void GetARStructItemList(ARStructItemList *);
void GetARServerInfoRequestList(int, ARServerInfoRequestList *);
void GetARServerInfoStruct(ARServerInfoStruct *);
void GetARServerInfoList(ARServerInfoList *);
void GetARFullTextInfoRequestList(ARFullTextInfoRequestList *);
void GetARFullTextInfoStruct(ARFullTextInfoStruct *);
void GetARFullTextInfoList(ARFullTextInfoList *);
void GetARAttach(ARAttachStruct **);
void GetARLocStructForGet(ARLocStruct *);
void GetARReferenceList(ARReferenceList *);
void GetARReferenceStruct(ARReferenceStruct *);
void GetARExtReferenceStruct(ARExtReferenceStruct *);
void GetARReferenceTypeList(ARReferenceTypeList *, char *);
void GetARContainerOwnerObj(ARContainerOwnerObj *, char *);
void GetARContainerOwnerObjList(ARContainerOwnerObjList *, char *);
void GetARContainerTypeList(ARContainerTypeList *, char *);
void GetAROpenDlgStruct(AROpenDlgStruct *);
void GetARCloseWndStruct(ARCloseWndStruct *);
void GetARCallGuideStruct(ARCallGuideStruct *);
void GetARGotoGuideLabel(ARGotoGuideLabelStruct *);
void GetARExitGuideStruct(ARExitGuideStruct *);
void GetARWaitStruct(ARWaitStruct *);
void GetARWorkflowLockStruct(ARWorkflowLockStruct *);
void GetARSignalList(ARSignalList *);
void GetARLocalizedRequestStruct(ARLocalizedRequestStruct *);
void GetARLocalizedRequestList(ARLocalizedRequestList *);
void GetARDiaryStruct(ARDiaryStruct *);
void GetARDiaryList(ARDiaryList *);
void GetARStatusHistoryList(ARStatusHistoryList *);
void GetARStatusHistoryStruct(ARStatusHistoryStruct *);
